# Uses of Class
com.ngrok.definitions.CertificateAuthority

Packages that use CertificateAuthority
Package
Description
com.ngrok.definitions
com.ngrok.services

- ## Uses of CertificateAuthority in com.ngrok.definitions

  Methods in com.ngrok.definitions that return types with arguments of type CertificateAuthority
  Modifier and Type
  Method
  Description
  `List<CertificateAuthority>`
  CertificateAuthorityList.`getCertificateAuthorities()`
  the list of all certificate authorities on this account
  Constructor parameters in com.ngrok.definitions with type arguments of type CertificateAuthority
  Modifier
  Constructor
  Description
  ``
  `CertificateAuthorityList(List<CertificateAuthority> certificateAuthorities, URI uri, Optional<URI> nextPageUri)`
  Creates a new instance of `CertificateAuthorityList`.

- ## Uses of CertificateAuthority in com.ngrok.services

  Methods in com.ngrok.services that return CertificateAuthority
  Modifier and Type
  Method
  Description
  `CertificateAuthority`
  CertificateAuthorities.CreateCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  `CertificateAuthority`
  CertificateAuthorities.GetCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  `CertificateAuthority`
  CertificateAuthorities.UpdateCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  Methods in com.ngrok.services that return types with arguments of type CertificateAuthority
  Modifier and Type
  Method
  Description
  `CompletionStage<CertificateAuthority>`
  CertificateAuthorities.CreateCallBuilder.`call()`
  Initiates the API call asynchronously.
  `CompletionStage<CertificateAuthority>`
  CertificateAuthorities.GetCallBuilder.`call()`
  Initiates the API call asynchronously.
  `CompletionStage<CertificateAuthority>`
  CertificateAuthorities.UpdateCallBuilder.`call()`
  Initiates the API call asynchronously.